OGRE: Ogre::PixelCountLodStrategyBase Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PixelCountLodStrategyBase Class Reference
Core » Level of Detail

Abstract base class for level of detail strategy based on pixel count approximations from bounding sphere projection. More...

`#include <OgrePixelCountLodStrategy.h>`

Inheritance diagram for Ogre::PixelCountLodStrategyBase:
[legend]

## Public Member Functions
| PixelCountLodStrategyBase (const String &name)
| Default constructor.
Real | getBaseValue () const override
| Get the value of the first (highest) level of detail.
ushort | getIndex (Real value, const Material::LodValueList &materialLodValueList) const override
| Get the index of the LOD usage which applies to a given value.
ushort | getIndex (Real value, const Mesh::MeshLodUsageList &meshLodUsageList) const override
| Get the index of the LOD usage which applies to a given value.
bool | isSorted (const Mesh::LodValueList &values) const override
| Determine if the LOD values are sorted from greatest detail to least detail.
void | sort (Mesh::MeshLodUsageList &meshLodUsageList) const override
| Sort mesh LOD usage list from greatest to least detail.
Real | transformBias (Real factor) const override
| Transform LOD bias so it only needs to be multiplied by the LOD value.
Public Member Functions inherited from Ogre::LodStrategy
| LodStrategy (const String &name)
| Constructor accepting name.
virtual | ~LodStrategy ()
| Virtual destructor.
void | assertSorted (const Mesh::LodValueList &values) const
| Assert that the LOD values are sorted from greatest detail to least detail.
const String & | getName () const
| Get the name of this strategy.
Real | getValue (const MovableObject *movableObject, const Camera *camera) const
| Compute the LOD value for a given movable object relative to a given camera.
virtual Real | transformUserValue (Real userValue) const
| Transform user supplied value to internal value.

## Detailed Description

Abstract base class for level of detail strategy based on pixel count approximations from bounding sphere projection.

## Constructor & Destructor Documentation

## ◆ PixelCountLodStrategyBase()

Ogre::PixelCountLodStrategyBase::PixelCountLodStrategyBase | ( | const String & | name | ) |

Default constructor.

## Member Function Documentation

## ◆ getBaseValue()

Real Ogre::PixelCountLodStrategyBase::getBaseValue | ( |  | ) | const
| overridevirtual

Get the value of the first (highest) level of detail.

Implements Ogre::LodStrategy.

## ◆ transformBias()

Real Ogre::PixelCountLodStrategyBase::transformBias | ( | Real | factor | ) | const
| overridevirtual

Transform LOD bias so it only needs to be multiplied by the LOD value.

Implements Ogre::LodStrategy.

## ◆ getIndex() [1/2]

ushort Ogre::PixelCountLodStrategyBase::getIndex | ( | Real | value,
|  | const Mesh::MeshLodUsageList & | meshLodUsageList ) const
| overridevirtual

Get the index of the LOD usage which applies to a given value.

Implements Ogre::LodStrategy.

## ◆ getIndex() [2/2]

ushort Ogre::PixelCountLodStrategyBase::getIndex | ( | Real | value,
|  | const Material::LodValueList & | materialLodValueList ) const
| overridevirtual

Get the index of the LOD usage which applies to a given value.

Implements Ogre::LodStrategy.

## ◆ sort()

void Ogre::PixelCountLodStrategyBase::sort | ( | Mesh::MeshLodUsageList & | meshLodUsageList | ) | const
| overridevirtual

Sort mesh LOD usage list from greatest to least detail.

Implements Ogre::LodStrategy.

## ◆ isSorted()

bool Ogre::PixelCountLodStrategyBase::isSorted | ( | const Mesh::LodValueList & | values | ) | const
| overridevirtual

Determine if the LOD values are sorted from greatest detail to least detail.

Implements Ogre::LodStrategy.

The documentation for this class was generated from the following file:

- OgrePixelCountLodStrategy.h